EXIMSTATS(8)

NAME
eximstats - generates statistics from Exim mainlog or syslog files.

SYNOPSIS
 eximstats [Options] mainlog1 mainlog2 ... > report.txt
 eximstats -html [Options] mainlog1 mainlog2 ... > report.html
 eximstats -merge [Options] report.1.txt report.2.txt ... > weekly_report.txt

Options:

-hnumber
    histogram divisions per hour. The default is 1, and 0 suppresses histograms. Valid values are:

    0, 1, 2, 3, 5, 10, 15, 20, 30 or 60.

-ne Don't display error information.

-nr Don't display relaying information.

-nr/pattern/
    Don't display relaying information that matches.

-nt Don't display transport information.

-nt/pattern/
    Don't display transport information that matches

-qlist
    List of times for queuing information single 0 item suppresses.

-tnumber
    Display top <number> sources/destinations default is 50, 0 suppresses top listing.

-tnl
    Omit local sources/destinations in top listing.

-t_remote_users
    Include remote users in the top source/destination listings.

-byhost
    Show results by sending host. This may be combined with -bydomain and/or -byemail and/or -byedomain. If none of these options are specified, then -byhost is assumed as a default.

-bydomain
    Show results by sending domain. May be combined with -byhost and/or -byemail and/or -byedomain.

-byemail
    Show results by sender's email address. May be combined with -byhost and/or -bydomain and/or -byedomain.

-byemaildomain or -byedomain
    Show results by sender's email domain. May be combined with -byhost and/or -bydomain and/or -byemail.

-pattern Description /Pattern/
    Look for the specified pattern and count the number of lines in which it appears. This option can be specified multiple times. Eg:

     -pattern 'Refused connections' '/refused connection/'

-merge
    This option allows eximstats to merge old eximstat reports together. Eg:

     eximstats mainlog.sun > report.sun.txt
     eximstats mainlog.mon > report.mon.txt
     eximstats mainlog.tue > report.tue.txt
     eximstats mainlog.wed > report.web.txt
     eximstats mainlog.thu > report.thu.txt
     eximstats mainlog.fri > report.fri.txt
     eximstats mainlog.sat > report.sat.txt
     eximstats -merge       report.*.txt > weekly_report.txt
     eximstats -merge -html report.*.txt > weekly_report.html

    *   You can merge text or html reports and output the results as text or html.

    *   You can use all the normal eximstat output options, but only data included in the original reports can be shown!

    *   When merging reports, some loss of accuracy may occur in the top n lists. This will be towards the ends of the lists.

    *   The order of items in the top n lists may vary when the data volumes round to the same value.

-html
    Output the results in -1HTML.

-charts
    Create graphical charts to be displayed in -1HTML output.

    This requires the following modules which can be obtained from http://www.cpan.org/modules/01modules.index.html

    -1GD
    GDTextUtil
    GDGraph

    To install these, download and unpack them, then use the normal perl installation procedure:

     perl Makefile.PL
     make
     make test
     make install

    On Debian GNU/Linux you can use "apt-get install libgd-perl libgd-text-perl libgd-graph-perl" instead.

-chartdirI <dir>
    Create the charts in the directory <dir>

-chartrelI <dir>
    Specify the relative directory for the "img src=" tags from where to include the charts

-d  Debug flag. This outputs the eval()'d parser onto -1STDOUT which makes it easier to trap errors in the eval section. Remember to add 1 to the line numbers to allow for the title!

DESCRIPTION
Eximstats parses exim mainlog and syslog files to output a statistical analysis of the messages processed. By default, a text analysis is generated, but you can request an html analysis by using the -html flag. See the help (-help) to learn about how to create charts from the tables.

AUTHOR
There is a web site at http://www.exim.org

TO DO
This program does not perfectly handle messages whose received and delivered log lines are in different files, which can happen when you have multiple mail servers and a message cannot be immeadiately delivered. Fixing this could be tricky...